// file: PointC.java
// author: Bob Muller
// date: December 5, 2013
//
// An implementation of the Point type.
//
public class PointC implements Point {
 
    private double x;
    private double y;
    
    // A constructor of Points.
    //
    public PointC(double x, double y) {
        this.x = x;
        this.y = y;
    }
    
    // A static factory method. We'll come back to this later!
    public static Point make(double x, double y) {
        return new PointC(x, y);
    }
    
    public String toString() { return "(" + x + ", " + y + ")"; }
    
    // Getters.
    //
    public double getX() { return this.x; }
    public double getY() { return this.y; }
    
    public double compareTo(Point other) {   
        double xAnswer = this.getX() - other.getX();
        if (xAnswer != 0.0)
            return xAnswer;
        else
            return this.getY() - other.getY();
    }
    
    public static void main(String[] args) {
        
        Point p = new PointC(2.0, 3.0); 

// PointC.make(2.0, 3.0);
        
        System.out.println(p.toString());
    }
}