(* file: line.ml
 * author: Bob Muller
 * date: November 30, 2014
 * 
 * This file contains a specification (signature) and the
 * implementation (structure) of a simple ADT for lines in
 * the 2D plane. The specification is usually contained in
 * a separate .mli file. See the implementation in ../file/
*)
    (*    type t = {p1:Point.t; p2:Point.t}     *)   (* t is exposed *)
    type t                                           (* t is hidden  *)
    val make : Point.t -> Point.t -> t
    val toString : t -> string
    val getP1 : t -> Point.t
    val getP2 : t -> Point.t
    val length : t -> float
    val midpoint : t -> Point.t
    val compareTo : t -> t -> int
    val equal : t -> t -> bool
    val move : t -> float -> float -> t
